All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
stan::math::index_type< T > Struct Template Reference

Primary template class for the metaprogram to compute the index type of a container. More...

`#include <index_type.hpp>`

## Detailed Description

### template<typename T>
struct stan::math::index_type< T >

Primary template class for the metaprogram to compute the index type of a container.

Only the specializations have behavior that can be used, and all implement a typedef `type` for the type of the index given container `T`.

tparam T type of container.

Definition at line 19 of file index_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/index_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.